%define module 	Math-RPN
%define version 1.08
%define release %mkrel 5

Summary:	Perl extension for Reverse Polish Math Expression Evaluation
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{module}
Group:		Development/Perl
Source0:	ftp.perl.org/pub/CPAN/modules/by-module/Math/%{module}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Reverse Polish Notation is briefly a stack-based way of writing
mathematical expressions. This has the advantage of eliminating
the need for parenthesis and simplifying parsing for computers vs.
normal algebraic notation at a slight cost in the ability of humans
to easily comprehend the expressions.

Math::RPN will take a scalar or list of sclars which contain an RPN
expression as a set of comma delimited values and operators, and
return the result or stack, depending on context. If the function
is called in an array context, it will return the entire remaining stack.

%prep
%setup -q -n Math

%build
cd RPN
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
cd RPN
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc RPN/Changes
%{perl_vendorlib}/Math/RPN.pm
%{perl_vendorlib}/auto/Math/RPN
%{_mandir}/man?/*



%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-5mdv2008.0
+ Revision: 86635
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-4mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.08-3mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL
	- URL
- use mkrel

* Sat Jun 11 2005 Abel Cheung <deaddog@mandrivalinux.org> 1.08-2mdk
- Rebuild

* Sat Apr 24 2004 Abel Cheung <deaddog@deaddog.org> 1.08-1mdk
- First Mandrake Release

